Introduction

 Return to Introduction

Welcome to DBRepair.

This utility is a part of the PhonePad system, and is used to maintain the PhonePad database. The database can be located on a local drive, a network drive or on a remote server. Because it has remote access capabilities, administrators can use DBRepair to repair PhonePad databases across networks, WANs and the Internet.

Important: You will need exclusive access to the PhonePad database while performing many of the functions available in DBRepair. This means that you should ensure all users are logged out before using DBRepair.


Main Window

The main window of DBRepair features menus, a toolbar, a sidebar, a repair log, and a progress pane.


Menus

The DBRepair menu bar features 3 menus. Many of the menu items are also available from the toolbar and sidebar.

File menu |
Clear Log | Clears the repair log and deletes it from disk.
Print Log | Prints the repair log.
Email Log | Emails the repair log to Cybercom Software support.
Exit | Exits DBRepair.
Database menu |
Backup | Runs DBBackup to back up the PhonePad database.
Verify | Checks to see if the PhonePad database contains any corrupted data.
Repair | Repairs the PhonePad database.
Optimize | Removes deleted records and frees up space in the database. Additionally, it reorganizes the data so that it can be accessed more efficiently.
Help menu |
Contents | Displays online help (which you are now viewing).
Cybercom Software Website | Opens your browser and points it to the Cybercom Software website.
Popup Hints | Enables/disables popup hints on toolbar buttons.
About | Displays information about this application.


Repair Log

The repair log keeps a record of all actions performed in DBRepair.

The log tells you exactly what is happening when you repair the database or execute some other action. If you experience any problems with PhonePad it could valuable information that may be used to resolve them.


Progress

The Progress pane shows the progress of individual operations and overall progress.


Sidebar

The sidebar contains buttons for all of the main functions you will use in DBRepair. Click on the appropriate button to activate that function.


Backing Up the Database

It is strongly recommended that you backup your PhonePad database before executing any of the functions in DBRepair. If your PC or server reboots or crashes while doing a repair, optimization or one of the lengthy functions (but not verify) it could cause data corruption in the database. Better to be safe than sorry.

Running a backup:

1. Click on the Backup button and click Yes to confirm.
2. DBRepair will run DBBackup and perform an automatic backup.
3. Once the backup has been completed, DBBackup will shut down.


Optimizing the Database

Optimization removes empty spaces in the database and reorganizes it to improve performance. It is recommended that the PhonePad database be optimized every 1 to 3 months.

Performing an optimization:

1. If you haven't already, do a backup of the PhonePad database.
2. Click on the Optimize button and click Yes to confirm.
3. Details of the Optimization process will be displayed in the repair log, and the progress bars will indicate the status.


Repairing the Database

Repair fixes any corruption that may exist in the PhonePad database.

Performing a Repair:

1. If you haven't already, do a backup of the PhonePad database.
2. Click on the Repair button and click Yes to confirm.
3. Details of the Repair process will be displayed in the repair log, and the progress bars will indicate the status.


Verifying the Database

Verifying checks the database for any corruption. If you have a lot of messages stored in PhonePad, it is often quicker to do a Verify rather than a repair. Although Verify will not repair any corruption it will let you know if the database requires repairing.

Performing a Verify:

1. Click on the Verify button and click Yes to confirm.
2. Details of the verify process will be displayed in the repair log, and the progress bars will indicate the status.

Any problems that were found will be shown at the end of the verification process. In the example below, it was discovered that one of the database tables needs to be repaired.

If you scroll back through the log, you will be able to find out where the problem is. In our example we can see that the Address Book table needs to be repaired due to a corrupted index. This can easily be fixed using the Repair process.

There is no need to perform a backup before running Verify as it is a read-only operation.